<div class="login-box">

    <div class="login-logo">
        <a href="../../index2.html"><b>Register</b>SCBStock</a>
    </div>
    <!-- /.login-logo -->
    <div class="login-box-body">
        <p class="login-box-msg">Sign up to add your account</p>

        <!-- template referance -->
        <form #registerForm="ngForm" (submit)="onClickRegister(registerForm.value)">
            <div class="form-group has-feedback">
                <input ngModel name="username" type="email" class="form-control" placeholder="username">
                <span class="glyphicon glyphicon-envelope form-control-feedback"></span>
            </div>
            <div class="form-group has-feedback">
                <input ngModel name="password" type="password" class="form-control" placeholder="Password">
                <span class="glyphicon glyphicon-lock form-control-feedback"></span>
            </div>
            <div class="row" style="margin-top: 8px;">
                <!-- /.col -->
                <div class="col-xs-12">
                    <button type="submit" class="btn btn-primary btn-block btn-flat">Register</button>
                </div>
            </div>
            <div class="row" style="margin-top: 8px;">
                <!-- /.col -->
                <div class="col-xs-12">
                    <button type="button" class="btn btn-default btn-block btn-flat" (click)="onClickCancel()">Cancel</button>
                </div>
            </div>
        </form>

    </div>
    <!-- /.login-box-body -->

</div>